Get a contact
One contact in full, with research, signals, provenance and retention dates, plus their ten most recent conversations.
GET
https://app.trygtm.com/api/v1/contacts/{contact_id}- Scope
read- MCP tool
- get_contact
Path parameters
contact_idstringrequired- The contact's id.
Request
curl https://app.trygtm.com/api/v1/contacts/8f2a91c4-6d1e-4c0a-9a57-2f3b1c7e9d10 \
-H "Authorization: Bearer $TRYGTM_API_KEY"Response
{
"data": {
"contact": {
"id": "8f2a91c4-6d1e-4c0a-9a57-2f3b1c7e9d10",
"first_name": "Dana",
"last_name": "Whitfield",
"full_name": "Dana Whitfield",
"email": "dana@northbeam.example",
"phone": null,
"title": "VP Demand Generation",
"company_name": "Northbeam Logistics",
"company_domain": "northbeam.example",
"country": "US",
"status": "queued",
"interest": "unknown",
"fit_score": 4,
"intent_evidence_at": "2026-09-12T14:02:11.000Z",
"linkedin_url": "https://www.linkedin.com/in/example",
"pipeline_stage": null,
"created_at": "2026-09-02T09:41:02.000Z",
"industry": "Logistics",
"notes": null,
"lawful_basis": "legitimate_interest",
"research": {},
"signals": []
},
"labels": [
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "Warm",
"color": "amber"
}
],
"lists": [
{
"id": "5e6f7a8b-1c2d-4e3f-9a0b-1c2d3e4f5a6b",
"name": "Logistics VPs — US",
"kind": "static"
}
],
"conversations": [
{
"id": "0f1e2d3c-4b5a-4697-8877-665544332211",
"channel": "email",
"status": "replied",
"reply_sentiment": "positive",
"last_message_at": "2026-09-17T08:22:40.000Z"
}
]
}
}